diff --git a/pithos-macos/PithosPreferencesController.xib b/pithos-macos/PithosPreferencesController.xib
index ed45a36..3959f0e 100644
--- a/pithos-macos/PithosPreferencesController.xib
+++ b/pithos-macos/PithosPreferencesController.xib
@@ -636,98 +775,95 @@
 																<int key="NSDraggingSourceMaskForNonLocal">0</int>
 																<bool key="NSAllowsTypeSelect">YES</bool>
 																<int key="NSTableViewDraggingDestinationStyle">0</int>
+																<int key="NSTableViewGroupRowStyle">1</int>
 															</object>
 														</object>
 														<string key="NSFrame">{{1, 17}, {120, 78}}</string>
-														<reference key="NSSuperview" ref="729122555"/>
-														<reference key="NSNextKeyView" ref="30388460"/>
-														<reference key="NSDocView" ref="30388460"/>
+														<reference key="NSSuperview" ref="427907042"/>
+														<reference key="NSNextKeyView" ref="199904301"/>
+														<reference key="NSDocView" ref="199904301"/>
 														<reference key="NSBGColor" ref="512560731"/>
 														<int key="NScvFlags">4</int>
 													</object>
-													<object class="NSScroller" id="27951958">
-														<reference key="NSNextResponder" ref="729122555"/>
+													<object class="NSScroller" id="881351662">
+														<reference key="NSNextResponder" ref="427907042"/>
 														<int key="NSvFlags">-2147483392</int>
 														<string key="NSFrame">{{-100, -100}, {15, 102}}</string>
-														<reference key="NSSuperview" ref="729122555"/>
-														<reference key="NSNextKeyView" ref="177329431"/>
-														<reference key="NSTarget" ref="729122555"/>
+														<reference key="NSSuperview" ref="427907042"/>
+														<reference key="NSNextKeyView" ref="5455797"/>
+														<reference key="NSTarget" ref="427907042"/>
 														<string key="NSAction">_doScroller:</string>
 														<double key="NSPercent">0.80769230769230771</double>
 													</object>
-													<object class="NSScroller" id="541110138">
-														<reference key="NSNextResponder" ref="729122555"/>
+													<object class="NSScroller" id="613407224">
+														<reference key="NSNextResponder" ref="427907042"/>
 														<int key="NSvFlags">-2147483392</int>
 														<string key="NSFrame">{{1, 119}, {223, 15}}</string>
-														<reference key="NSSuperview" ref="729122555"/>
-														<reference key="NSNextKeyView" ref="202050240"/>
+														<reference key="NSSuperview" ref="427907042"/>
+														<reference key="NSNextKeyView" ref="377785255"/>
 														<int key="NSsFlags">1</int>
-														<reference key="NSTarget" ref="729122555"/>
+														<reference key="NSTarget" ref="427907042"/>
 														<string key="NSAction">_doScroller:</string>
 														<double key="NSPercent">0.97590361445783136</double>
 													</object>
-													<object class="NSClipView" id="177329431">
-														<reference key="NSNextResponder" ref="729122555"/>
+													<object class="NSClipView" id="5455797">
+														<reference key="NSNextResponder" ref="427907042"/>
 														<int key="NSvFlags">2304</int>
 														<object class="NSMutableArray" key="NSSubviews">
 															<bool key="EncodedWithXMLCoder">YES</bool>
-															<reference ref="750592955"/>
+															<reference ref="94922151"/>
 														</object>
 														<string key="NSFrame">{{1, 0}, {120, 17}}</string>
-														<reference key="NSSuperview" ref="729122555"/>
-														<reference key="NSNextKeyView" ref="750592955"/>
-														<reference key="NSDocView" ref="750592955"/>
+														<reference key="NSSuperview" ref="427907042"/>
+														<reference key="NSNextKeyView" ref="94922151"/>
+														<reference key="NSDocView" ref="94922151"/>
 														<reference key="NSBGColor" ref="512560731"/>
 														<int key="NScvFlags">4</int>
 													</object>
-													<reference ref="958839404"/>
 												</object>
-												<string key="NSFrame">{{10, 53}, {122, 96}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="488621520"/>
-												<int key="NSsFlags">562</int>
-												<reference key="NSVScroller" ref="27951958"/>
-												<reference key="NSHScroller" ref="541110138"/>
-												<reference key="NSContentView" ref="488621520"/>
-												<reference key="NSHeaderClipView" ref="177329431"/>
-												<reference key="NSCornerView" ref="958839404"/>
+												<string key="NSFrame">{{0, 66}, {122, 96}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="748581994"/>
+												<int key="NSsFlags">133682</int>
+												<reference key="NSVScroller" ref="881351662"/>
+												<reference key="NSHScroller" ref="613407224"/>
+												<reference key="NSContentView" ref="748581994"/>
+												<reference key="NSHeaderClipView" ref="5455797"/>
 												<bytes key="NSScrollAmts">QSAAAEEgAABBmAAAQZgAAA</bytes>
 											</object>
-											<object class="NSScrollView" id="202050240">
-												<reference key="NSNextResponder" ref="646652655"/>
+											<object class="NSScrollView" id="377785255">
+												<reference key="NSNextResponder" ref="635100516"/>
 												<int key="NSvFlags">4371</int>
 												<object class="NSMutableArray" key="NSSubviews">
 													<bool key="EncodedWithXMLCoder">YES</bool>
-													<object class="NSClipView" id="219950644">
-														<reference key="NSNextResponder" ref="202050240"/>
+													<object class="NSClipView" id="441382477">
+														<reference key="NSNextResponder" ref="377785255"/>
 														<int key="NSvFlags">2304</int>
 														<object class="NSMutableArray" key="NSSubviews">
 															<bool key="EncodedWithXMLCoder">YES</bool>
-															<object class="NSTableView" id="955904863">
-																<reference key="NSNextResponder" ref="219950644"/>
+															<object class="NSTableView" id="801276999">
+																<reference key="NSNextResponder" ref="441382477"/>
 																<int key="NSvFlags">4352</int>
 																<string key="NSFrameSize">{120, 78}</string>
-																<reference key="NSSuperview" ref="219950644"/>
-																<reference key="NSNextKeyView" ref="817353191"/>
+																<reference key="NSSuperview" ref="441382477"/>
+																<reference key="NSNextKeyView" ref="176697034"/>
 																<bool key="NSEnabled">YES</bool>
-																<object class="NSTableHeaderView" key="NSHeaderView" id="917463045">
-																	<reference key="NSNextResponder" ref="342545830"/>
+																<object class="NSTableHeaderView" key="NSHeaderView" id="459733499">
+																	<reference key="NSNextResponder" ref="302523439"/>
 																	<int key="NSvFlags">256</int>
 																	<string key="NSFrameSize">{120, 17}</string>
-																	<reference key="NSSuperview" ref="342545830"/>
-																	<reference key="NSNextKeyView" ref="913709756"/>
-																	<reference key="NSTableView" ref="955904863"/>
+																	<reference key="NSSuperview" ref="302523439"/>
+																	<reference key="NSNextKeyView" ref="441382477"/>
+																	<reference key="NSTableView" ref="801276999"/>
 																</object>
-																<object class="_NSCornerView" key="NSCornerView" id="913709756">
-																	<reference key="NSNextResponder" ref="202050240"/>
+																<object class="_NSCornerView" key="NSCornerView">
+																	<nil key="NSNextResponder"/>
 																	<int key="NSvFlags">-2147483392</int>
 																	<string key="NSFrame">{{224, 0}, {16, 17}}</string>
-																	<reference key="NSSuperview" ref="202050240"/>
-																	<reference key="NSNextKeyView" ref="219950644"/>
 																</object>
 																<object class="NSMutableArray" key="NSTableColumns">
 																	<bool key="EncodedWithXMLCoder">YES</bool>
-																	<object class="NSTableColumn" id="604806618">
+																	<object class="NSTableColumn" id="158961369">
 																		<double key="NSWidth">117</double>
 																		<double key="NSMinWidth">40</double>
 																		<double key="NSMaxWidth">1000</double>
@@ -740,29 +876,29 @@
 																				<int key="NSColorSpace">3</int>
 																				<bytes key="NSWhite">MC4zMzMzMzI5ODU2AA</bytes>
 																			</object>
-																			<reference key="NSTextColor" ref="479902038"/>
+																			<reference key="NSTextColor" ref="60462442"/>
 																		</object>
-																		<object class="NSTextFieldCell" key="NSDataCell" id="809830821">
+																		<object class="NSTextFieldCell" key="NSDataCell" id="573751375">
 																			<int key="NSCellFlags">337772096</int>
 																			<int key="NSCellFlags2">2048</int>
 																			<string key="NSContents">Text Cell</string>
 																			<reference key="NSSupport" ref="26"/>
-																			<reference key="NSControlView" ref="955904863"/>
+																			<reference key="NSControlView" ref="801276999"/>
 																			<reference key="NSBackgroundColor" ref="512560731"/>
 																			<reference key="NSTextColor" ref="44104873"/>
 																		</object>
 																		<int key="NSResizingMask">3</int>
 																		<bool key="NSIsResizeable">YES</bool>
 																		<bool key="NSIsEditable">YES</bool>
-																		<reference key="NSTableView" ref="955904863"/>
+																		<reference key="NSTableView" ref="801276999"/>
 																	</object>
 																</object>
 																<double key="NSIntercellSpacingWidth">3</double>
 																<double key="NSIntercellSpacingHeight">2</double>
 																<reference key="NSBackgroundColor" ref="712919987"/>
-																<reference key="NSGridColor" ref="1027158800"/>
+																<reference key="NSGridColor" ref="1055172989"/>
 																<double key="NSRowHeight">17</double>
-																<int key="NSTvFlags">1388314624</int>
+																<int key="NSTvFlags">1925185536</int>
 																<reference key="NSDelegate"/>
 																<reference key="NSDataSource"/>
 																<int key="NSGridStyleMask">1</int>
@@ -771,79 +907,78 @@
 																<int key="NSDraggingSourceMaskForNonLocal">0</int>
 																<bool key="NSAllowsTypeSelect">YES</bool>
 																<int key="NSTableViewDraggingDestinationStyle">0</int>
+																<int key="NSTableViewGroupRowStyle">1</int>
 															</object>
 														</object>
 														<string key="NSFrame">{{1, 17}, {120, 78}}</string>
-														<reference key="NSSuperview" ref="202050240"/>
-														<reference key="NSNextKeyView" ref="955904863"/>
-														<reference key="NSDocView" ref="955904863"/>
+														<reference key="NSSuperview" ref="377785255"/>
+														<reference key="NSNextKeyView" ref="801276999"/>
+														<reference key="NSDocView" ref="801276999"/>
 														<reference key="NSBGColor" ref="512560731"/>
 														<int key="NScvFlags">4</int>
 													</object>
-													<object class="NSScroller" id="817353191">
-														<reference key="NSNextResponder" ref="202050240"/>
+													<object class="NSScroller" id="176697034">
+														<reference key="NSNextResponder" ref="377785255"/>
 														<int key="NSvFlags">-2147483392</int>
 														<string key="NSFrame">{{-100, -100}, {15, 102}}</string>
-														<reference key="NSSuperview" ref="202050240"/>
-														<reference key="NSNextKeyView" ref="342545830"/>
-														<reference key="NSTarget" ref="202050240"/>
+														<reference key="NSSuperview" ref="377785255"/>
+														<reference key="NSNextKeyView" ref="302523439"/>
+														<reference key="NSTarget" ref="377785255"/>
 														<string key="NSAction">_doScroller:</string>
 														<double key="NSPercent">0.80769230769230771</double>
 													</object>
-													<object class="NSScroller" id="529286880">
-														<reference key="NSNextResponder" ref="202050240"/>
+													<object class="NSScroller" id="79495429">
+														<reference key="NSNextResponder" ref="377785255"/>
 														<int key="NSvFlags">-2147483392</int>
 														<string key="NSFrame">{{1, 119}, {223, 15}}</string>
-														<reference key="NSSuperview" ref="202050240"/>
-														<reference key="NSNextKeyView" ref="988713632"/>
+														<reference key="NSSuperview" ref="377785255"/>
+														<reference key="NSNextKeyView" ref="152999980"/>
 														<int key="NSsFlags">1</int>
-														<reference key="NSTarget" ref="202050240"/>
+														<reference key="NSTarget" ref="377785255"/>
 														<string key="NSAction">_doScroller:</string>
 														<double key="NSPercent">0.97590361445783136</double>
 													</object>
-													<object class="NSClipView" id="342545830">
-														<reference key="NSNextResponder" ref="202050240"/>
+													<object class="NSClipView" id="302523439">
+														<reference key="NSNextResponder" ref="377785255"/>
 														<int key="NSvFlags">2304</int>
 														<object class="NSMutableArray" key="NSSubviews">
 															<bool key="EncodedWithXMLCoder">YES</bool>
-															<reference ref="917463045"/>
+															<reference ref="459733499"/>
 														</object>
 														<string key="NSFrame">{{1, 0}, {120, 17}}</string>
-														<reference key="NSSuperview" ref="202050240"/>
-														<reference key="NSNextKeyView" ref="917463045"/>
-														<reference key="NSDocView" ref="917463045"/>
+														<reference key="NSSuperview" ref="377785255"/>
+														<reference key="NSNextKeyView" ref="459733499"/>
+														<reference key="NSDocView" ref="459733499"/>
 														<reference key="NSBGColor" ref="512560731"/>
 														<int key="NScvFlags">4</int>
 													</object>
-													<reference ref="913709756"/>
 												</object>
-												<string key="NSFrame">{{133, 53}, {122, 96}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="219950644"/>
-												<int key="NSsFlags">562</int>
-												<reference key="NSVScroller" ref="817353191"/>
-												<reference key="NSHScroller" ref="529286880"/>
-												<reference key="NSContentView" ref="219950644"/>
-												<reference key="NSHeaderClipView" ref="342545830"/>
-												<reference key="NSCornerView" ref="913709756"/>
+												<string key="NSFrame">{{123, 66}, {122, 96}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="441382477"/>
+												<int key="NSsFlags">133682</int>
+												<reference key="NSVScroller" ref="176697034"/>
+												<reference key="NSHScroller" ref="79495429"/>
+												<reference key="NSContentView" ref="441382477"/>
+												<reference key="NSHeaderClipView" ref="302523439"/>
 												<bytes key="NSScrollAmts">QSAAAEEgAABBmAAAQZgAAA</bytes>
 											</object>
-											<object class="NSButton" id="988713632">
-												<reference key="NSNextResponder" ref="646652655"/>
+											<object class="NSButton" id="152999980">
+												<reference key="NSNextResponder" ref="635100516"/>
 												<int key="NSvFlags">292</int>
-												<string key="NSFrame">{{10, 33}, {18, 18}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="616473836"/>
+												<string key="NSFrame">{{0, 41}, {18, 18}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="756082975"/>
 												<bool key="NSEnabled">YES</bool>
-												<object class="NSButtonCell" key="NSCell" id="758066746">
+												<object class="NSButtonCell" key="NSCell" id="863470950">
 													<int key="NSCellFlags">-2080244224</int>
 													<int key="NSCellFlags2">134217728</int>
 													<string key="NSContents"/>
 													<reference key="NSSupport" ref="271467070"/>
-													<reference key="NSControlView" ref="988713632"/>
+													<reference key="NSControlView" ref="152999980"/>
 													<int key="NSButtonFlags">-2033434369</int>
 													<int key="NSButtonFlags2">162</int>
-													<object class="NSCustomResource" key="NSNormalImage" id="996203705">
+													<object class="NSCustomResource" key="NSNormalImage" id="278760821">
 														<string key="NSClassName">NSImage</string>
 														<string key="NSResourceName">NSAddTemplate</string>
 													</object>
@@ -853,22 +988,22 @@
 													<int key="NSPeriodicInterval">75</int>
 												</object>
 											</object>
-											<object class="NSButton" id="616473836">
-												<reference key="NSNextResponder" ref="646652655"/>
+											<object class="NSButton" id="756082975">
+												<reference key="NSNextResponder" ref="635100516"/>
 												<int key="NSvFlags">292</int>
-												<string key="NSFrame">{{27, 33}, {18, 18}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="566469435"/>
+												<string key="NSFrame">{{17, 41}, {18, 18}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="716775631"/>
 												<bool key="NSEnabled">YES</bool>
-												<object class="NSButtonCell" key="NSCell" id="866246455">
+												<object class="NSButtonCell" key="NSCell" id="381359215">
 													<int key="NSCellFlags">-2080244224</int>
 													<int key="NSCellFlags2">134217728</int>
 													<string key="NSContents"/>
 													<reference key="NSSupport" ref="271467070"/>
-													<reference key="NSControlView" ref="616473836"/>
+													<reference key="NSControlView" ref="756082975"/>
 													<int key="NSButtonFlags">-2033434369</int>
 													<int key="NSButtonFlags2">162</int>
-													<object class="NSCustomResource" key="NSNormalImage" id="520182850">
+													<object class="NSCustomResource" key="NSNormalImage" id="4076896">
 														<string key="NSClassName">NSImage</string>
 														<string key="NSResourceName">NSRemoveTemplate</string>
 													</object>
@@ -878,103 +1013,182 @@
 													<int key="NSPeriodicInterval">75</int>
 												</object>
 											</object>
-											<object class="NSBox" id="1073611401">
-												<reference key="NSNextResponder" ref="646652655"/>
-												<int key="NSvFlags">-2147483634</int>
-												<string key="NSFrame">{{0, 23}, {265, 5}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="724709226"/>
-												<string key="NSOffsets">{0, 0}</string>
-												<object class="NSTextFieldCell" key="NSTitleCell">
-													<int key="NSCellFlags">67239424</int>
-													<int key="NSCellFlags2">0</int>
-													<string key="NSContents">Box</string>
-													<reference key="NSSupport" ref="271467070"/>
-													<reference key="NSBackgroundColor" ref="1019997203"/>
-													<object class="NSColor" key="NSTextColor">
-														<int key="NSColorSpace">3</int>
-														<bytes key="NSWhite">MCAwLjgwMDAwMDAxMTkAA</bytes>
-													</object>
-												</object>
-												<int key="NSBorderType">3</int>
-												<int key="NSBoxType">2</int>
-												<int key="NSTitlePosition">0</int>
-												<bool key="NSTransparent">NO</bool>
-											</object>
-											<object class="NSButton" id="566469435">
-												<reference key="NSNextResponder" ref="646652655"/>
-												<int key="NSvFlags">292</int>
-												<string key="NSFrame">{{220, 33}, {18, 18}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="911168208"/>
+											<object class="NSButton" id="716775631">
+												<reference key="NSNextResponder" ref="635100516"/>
+												<int key="NSvFlags">289</int>
+												<string key="NSFrame">{{210, 41}, {18, 18}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="815622918"/>
 												<bool key="NSEnabled">YES</bool>
-												<object class="NSButtonCell" key="NSCell" id="452212524">
+												<object class="NSButtonCell" key="NSCell" id="675243624">
 													<int key="NSCellFlags">-2080244224</int>
 													<int key="NSCellFlags2">134217728</int>
 													<string key="NSContents"/>
 													<reference key="NSSupport" ref="271467070"/>
-													<reference key="NSControlView" ref="566469435"/>
+													<reference key="NSControlView" ref="716775631"/>
 													<int key="NSButtonFlags">-2033434369</int>
 													<int key="NSButtonFlags2">162</int>
-													<reference key="NSNormalImage" ref="996203705"/>
+													<reference key="NSNormalImage" ref="278760821"/>
 													<string key="NSAlternateContents"/>
 													<string key="NSKeyEquivalent"/>
 													<int key="NSPeriodicDelay">400</int>
 													<int key="NSPeriodicInterval">75</int>
 												</object>
 											</object>
-											<object class="NSButton" id="911168208">
-												<reference key="NSNextResponder" ref="646652655"/>
-												<int key="NSvFlags">292</int>
-												<string key="NSFrame">{{237, 33}, {18, 18}}</string>
-												<reference key="NSSuperview" ref="646652655"/>
-												<reference key="NSNextKeyView" ref="1073611401"/>
+											<object class="NSButton" id="815622918">
+												<reference key="NSNextResponder" ref="635100516"/>
+												<int key="NSvFlags">289</int>
+												<string key="NSFrame">{{227, 41}, {18, 18}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="995829092"/>
 												<bool key="NSEnabled">YES</bool>
-												<object class="NSButtonCell" key="NSCell" id="860456214">
+												<object class="NSButtonCell" key="NSCell" id="942965379">
 													<int key="NSCellFlags">-2080244224</int>
 													<int key="NSCellFlags2">134217728</int>
 													<string key="NSContents"/>
 													<reference key="NSSupport" ref="271467070"/>
-													<reference key="NSControlView" ref="911168208"/>
+													<reference key="NSControlView" ref="815622918"/>
 													<int key="NSButtonFlags">-2033434369</int>
 													<int key="NSButtonFlags2">162</int>
-													<reference key="NSNormalImage" ref="520182850"/>
+													<reference key="NSNormalImage" ref="4076896"/>
+													<string key="NSAlternateContents"/>
+													<string key="NSKeyEquivalent"/>
+													<int key="NSPeriodicDelay">400</int>
+													<int key="NSPeriodicInterval">75</int>
+												</object>
+											</object>
+											<object class="NSButton" id="466584774">
+												<reference key="NSNextResponder" ref="635100516"/>
+												<int key="NSvFlags">289</int>
+												<string key="NSFrame">{{161, 4}, {72, 28}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<bool key="NSEnabled">YES</bool>
+												<object class="NSButtonCell" key="NSCell" id="683879656">
+													<int key="NSCellFlags">-2080244224</int>
+													<int key="NSCellFlags2">134348800</int>
+													<string key="NSContents">Apply</string>
+													<reference key="NSSupport" ref="26"/>
+													<reference key="NSControlView" ref="466584774"/>
+													<int key="NSButtonFlags">-2034876161</int>
+													<int key="NSButtonFlags2">129</int>
+													<reference key="NSAlternateImage" ref="553785584"/>
 													<string key="NSAlternateContents"/>
 													<string key="NSKeyEquivalent"/>
 													<int key="NSPeriodicDelay">400</int>
 													<int key="NSPeriodicInterval">75</int>
 												</object>
 											</object>
+											<object class="NSButton" id="995829092">
+												<reference key="NSNextResponder" ref="635100516"/>
+												<int key="NSvFlags">289</int>
+												<string key="NSFrame">{{91, 4}, {72, 28}}</string>
+												<reference key="NSSuperview" ref="635100516"/>
+												<reference key="NSNextKeyView" ref="466584774"/>
+												<bool key="NSEnabled">YES</bool>
+												<object class="NSButtonCell" key="NSCell" id="402776801">
+													<int key="NSCellFlags">-2080244224</int>
+													<int key="NSCellFlags2">134348800</int>
+													<string key="NSContents">Revert</string>
+													<reference key="NSSupport" ref="26"/>
+													<reference key="NSControlView" ref="995829092"/>
+													<int key="NSButtonFlags">-2034876161</int>
+													<int key="NSButtonFlags2">129</int>
+													<reference key="NSAlternateImage" ref="553785584"/>
+													<string key="NSAlternateContents"/>
+													<string type="base64-UTF8" key="NSKeyEquivalent">Gw</string>
+													<int key="NSPeriodicDelay">400</int>
+													<int key="NSPeriodicInterval">75</int>
+												</object>
+											</object>
 										</object>
-										<string key="NSFrameSize">{265, 159}</string>
-										<reference key="NSNextKeyView" ref="729122555"/>
+										<string key="NSFrame">{{10, 33}, {245, 165}}</string>
+										<reference key="NSNextKeyView" ref="427907042"/>
 									</object>
 									<string key="NSLabel">Groups</string>
 									<reference key="NSColor" ref="820783553"/>
-									<reference key="NSTabView" ref="564742342"/>
+									<reference key="NSTabView" ref="247568729"/>
 								</object>
 							</object>
-							<reference key="NSSelectedTabViewItem" ref="874188166"/>
+							<reference key="NSSelectedTabViewItem" ref="277431414"/>
 							<reference key="NSFont" ref="271467070"/>
-							<int key="NSTvFlags">6</int>
+							<int key="NSTvFlags">0</int>
 							<bool key="NSAllowTruncatedLabels">YES</bool>
 							<bool key="NSDrawsBackground">YES</bool>
 							<object class="NSMutableArray" key="NSSubviews">
 								<bool key="EncodedWithXMLCoder">YES</bool>
-								<reference ref="865103585"/>
+								<reference ref="646624756"/>
+							</object>
+						</object>
+						<object class="NSButton" id="287845150">
+							<reference key="NSNextResponder" ref="369507901"/>
+							<int key="NSvFlags">260</int>
+							<string key="NSFrame">{{20, 19}, {20, 20}}</string>
+							<reference key="NSSuperview" ref="369507901"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="862152318"/>
+							<string key="NSReuseIdentifierKey">_NS:2510</string>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="607694530">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">134217728</int>
+								<string key="NSContents"/>
+								<reference key="NSSupport" ref="271467070"/>
+								<string key="NSCellIdentifier">_NS:2510</string>
+								<reference key="NSControlView" ref="287845150"/>
+								<int key="NSButtonFlags">-2033434369</int>
+								<int key="NSButtonFlags2">162</int>
+								<reference key="NSNormalImage" ref="278760821"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">400</int>
+								<int key="NSPeriodicInterval">75</int>
+							</object>
+						</object>
+						<object class="NSButton" id="862152318">
+							<reference key="NSNextResponder" ref="369507901"/>
+							<int key="NSvFlags">260</int>
+							<string key="NSFrame">{{39, 19}, {20, 20}}</string>
+							<reference key="NSSuperview" ref="369507901"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="247568729"/>
+							<string key="NSReuseIdentifierKey">_NS:2510</string>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="850026501">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">134217728</int>
+								<string key="NSContents"/>
+								<reference key="NSSupport" ref="271467070"/>
+								<string key="NSCellIdentifier">_NS:2510</string>
+								<reference key="NSControlView" ref="862152318"/>
+								<int key="NSButtonFlags">-2033434369</int>
+								<int key="NSButtonFlags2">162</int>
+								<reference key="NSNormalImage" ref="4076896"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">400</int>
+								<int key="NSPeriodicInterval">75</int>
 							</object>
 						</object>
 					</object>
-					<string key="NSFrameSize">{265, 159}</string>
+					<string key="NSFrameSize">{425, 262}</string>
 					<reference key="NSSuperview"/>
-					<reference key="NSNextKeyView" ref="564742342"/>
+					<reference key="NSWindow"/>
+					<reference key="NSNextKeyView" ref="419137310"/>
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {1280, 778}}</string>
-				<string key="NSMinSize">{265, 237}</string>
-				<string key="NSMaxSize">{265, 237}</string>
+				<string key="NSMinSize">{425, 284}</string>
+				<string key="NSMaxSize">{425, 284}</string>
+				<bool key="NSWindowIsRestorable">YES</bool>
 			</object>
-			<object class="NSUserDefaultsController" id="700105088">
-				<bool key="NSSharedInstance">YES</bool>
+			<object class="NSArrayController" id="994230656">
+				<string key="NSObjectClassName">PithosAccount</string>
+				<bool key="NSEditable">YES</bool>
+				<object class="_NSManagedProxy" key="_NSManagedProxy"/>
+				<bool key="NSAvoidsEmptySelection">YES</bool>
+				<bool key="NSPreservesSelection">YES</bool>
+				<bool key="NSSelectsInsertedObjects">YES</bool>
+				<bool key="NSFilterRestrictsInsertion">YES</bool>
+				<bool key="NSClearsFilterPredicateOnInsertion">YES</bool>
 			</object>
 			<object class="NSDictionaryController" id="980977849">
 				<bool key="NSEditable">YES</bool>
